# GLIDE Flag Constants
#
# To be used while debugging tcl code with the "wish" program

# On/Off Flags
set SLF_OFF 0
set SLF_ON 1

# Solid Flags
set SLF_SOLID 0
set SLF_HOLLOW 1

# Shading Flags
set SLF_INHERIT 0
set SLF_WIRE 1
set SLF_FLAT 2
set SLF_GOURAUD 3
set SLF_PHONG 4

# LOD Flags
set SLF_OFF 0
set SLF_BOUND 1
set SLF_EDGES 2
set SLF_FULL 3

# Projection Flags
set SLF_PARALLEL 0
set SLF_PERSPECTIVE 1

# Lighting Type Flags
set SLF_AMBIENT 0
set SLF_DIRECTIONAL 1
set SLF_POINT 2
set SLF_SPOT 3

